# We create a Virtual Environment.
# The format is:
# python<version> -m venv <virtual_env_name>
echo "Making a virtual environment (if needed)."
python3 -m venv .venv

# Next we activate the newly created Virtual Environment.
echo "Activating the virtual environment."
source .venv/bin/activate

# Now we install the requirements.
echo "Installing pending requirements."
pip3 install -r requirements.txt

# Now we deactivate the Virtual Environment.
echo "Deactivation the virtual environment."
deactivate

# Setup Done.
echo "Attempt done. Exiting."